Get snapshot details
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Returns a single snapshot info.
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
snapshots
/
{snapshotId}
Get snapshot details
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/snapshots/{snapshotId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/snapshots/{snapshotId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/snapshots/{snapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "done",
"serviceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"sizeInBytes": 123,
"durationInSeconds": 123,
"type": "full",
"backupName": "<string>",
"bucket": {
"bucketProvider": "AWS",
"bucketPath": "<string>",
"iamRoleArn": "<string>",
"iamRoleSessionName": "<string>"
}
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Returns a single snapshot info.
Returns a single snapshot info.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the snapshot.
ID of the service the snapshot was created from.
ID of the requested snapshot.
Last modified on September 16, 2026
Was this page helpful?
⌘I
Get snapshot details
